Bug 1948012 - service-ca constantly reporting type "Upgradeable" status Unknown
Summary: service-ca constantly reporting type "Upgradeable" status Unknown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: service-ca
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.8.0
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1966148
TreeView+ depends on / blocked
 
Reported: 2021-04-09 18:29 UTC by W. Trevor King
Modified: 2021-07-27 22:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The service-ca-operator was not explicitly populating an “Upgradeable” condition in its ServiceCA custom resource. Consequence: The service-ca’s ClusterOperator custom resource reported the “Upgradeable” condition as “Unknown”. Fix: The “Upgradeable” condition in the ServiceCA custom resource is explicitly populated, triggering a corresponding condition in the ClusterOperator custom resource. Result: Both the ServiceCA and the service-ca’s ClusterOperator custom resources now report a specific “Upgradeable” value.
Clone Of: 1948011
Environment:
Last Closed: 2021-07-27 22:58:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26183 0 None open Bug 1948012: test/extended/operators: Drop service-ca Upgradeable exception 2021-05-25 23:57:05 UTC
Github openshift origin pull 26189 0 None open Bug 1948012: Revert "test/extended/operators: Drop service-ca Upgradeable exception" 2021-05-27 14:05:59 UTC
Github openshift service-ca-operator pull 154 0 None closed Bug 1948012: Report the operator status as always upgradeable in serviceCA/cluster 2021-05-25 23:53:31 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:59:12 UTC

Description W. Trevor King 2021-04-09 18:29:42 UTC
+++ This bug was initially created as a clone of Bug #1948011 +++

+++ This bug was initially created as a clone of Bug #1928141 +++

service-ca currently sets Upgradeable=Unknown, which is potentially confusing to users.  If it does not want to block minor updates, it should either leave Upgradeable completely unset or set it Upgradeable=True.  When this bug is fixed, we should remove the temporary exception I'm granting in [1].

[1]: https://github.com/openshift/origin/pull/26030

Comment 3 W. Trevor King 2021-05-25 23:55:59 UTC
Moving back to POST for a moment, so I can hang the origin PR that drops the exception on this bug too.

Comment 5 W. Trevor King 2021-05-27 14:03:29 UTC
I was too quick on dropping the origin exceptions, because until the operator changes make their way back to 4.7, a stricter origin will fail 4.7->4.8 updates.  Back to POST so I can revert...

Comment 11 errata-xmlrpc 2021-07-27 22:58:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.